Bug 134188 - Need ppc64 64-bit e2fsprogs-devel package
Need ppc64 64-bit e2fsprogs-devel package
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: distribution (Show other bugs)
3.0
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-29 22:56 EDT by Dennis
Modified: 2014-03-16 22:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-04 11:19:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis 2004-09-29 22:56:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4b)
Gecko/20030516 Mozilla Firebird/0.6

Description of problem:
Some necessary development 64-bit libraries are not available
on the ppc64 release of Red Hat Enterprise Linux 3.

For example the following libraries are not available:

/usr/lib64/libcom_err.a
/usr/lib64/libcom_err.so
/usr/lib64/libe2p.a
/usr/lib64/libe2p.so
/usr/lib64/libext2fs.a
/usr/lib64/libext2fs.so
/usr/lib64/libss.a
/usr/lib64/libss.so
/usr/lib64/libuuid.a
/usr/lib64/libuuid.so


A Red Hat engineer informs me that a e2fsprogs-devel-*.ppc64 
package will need to be created (alongside 
e2fsprogs-devel-*.ppc). The package should be built something like
rpmbuild --rebuild --target ppc64 e2fsprogs-devel*.src.rpm

The request asks for that package to be created and made available.
This is needed to successfully create 64-bit applications.

Dennis.

Version-Release number of selected component (if applicable):
e2fsprogs-devel-1.32-15

How reproducible:
Always

Steps to Reproduce:
1.This is an enhancement request.

    

Additional info:
Comment 1 Thomas Woerner 2004-10-04 09:59:49 EDT
Assigning to distribution.
Comment 2 Bill Nottingham 2004-10-04 11:19:45 EDT
Only a limited set of development libraries are shipped on biarch
platforms; generally, the LSB set.
Comment 3 Dennis 2004-10-04 21:13:37 EDT
Just curious (as the submitter). I take it then that this
development library will not be created? What does LSB
set mean?

I am just wanting to a clear answer, so I can pass that
information on to my superiors and IBM.

Dennis.
Comment 4 Bill Nottingham 2004-10-04 23:51:21 EDT
It's not planned, no.

The LSB development set is libstdc++, glibc, ncurses, pam, X11, zlib.

Note You need to log in before you can comment on or make changes to this bug.